Name:           libgalago-gtk
Version:        0.5.0
Release:        8%{?dist}
Summary:        GTK+ widgets for the Galago presence framework

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://galago.sourceforge.net/
Source0:        http://www.galago-project.org/files/releases/source/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
BuildRequires:	libgalago-devel  


%description
A collection of widgets that work with the Galago desktop presence framework.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	gtk2-devel
Requires:	libgalago-devel
Requires:	pkgconfig


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -c -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
rm -f $RPM_BUILD_ROOT%{_datadir}/autopackage/skeletons/@galago.info/%{name}/skeleton.1

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%{_libdir}/%{name}.so.*
%dir %{_datadir}/pixmaps/galago/
%{_datadir}/pixmaps/galago/gtk/


%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.5.0-7
- Rebuild for gcc-4.3.

* Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.0-6
- Rebuild.

* Thu Aug  2 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.0-5
- Update license tag.

* Sat Oct  7 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.5.0-4
- Rebuild for new libgalago.

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.5.0-3
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Sat Sep 23 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.5.0-2
- Preserve timestamps of header files.

* Thu Aug 17 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.5.0-1
- Initial FE package.

